{
  pkgs,
  config,
  ...
}: {
  programs = {
    fzf = {
      enable = true;
      tmux = {
        enableShellIntegration = true;
      };
    };
    nushell = {
      enable = true;
      extraConfig = ''
        edit_mode: vim
      '';
    };
    direnv = {
      enableNushellIntegration = true;
    };
    zoxide = {
      enable = true;
      enableNushellIntegration = true;
    };
  };
}
